Latest 0.2.0
Homepage https://github.com/AttilaTheFun/OpenGraphService
License MIT
Platforms ios 8.0, requires ARC
Dependencies PromiseKit, SwiftToolKit, ServiceRegistry/API
Authors

[![CI Status](http://img.shields.io/travis/Logan Shire/OpenGraphService.svg?style=flat)](https://travis-ci.org/Logan Shire/OpenGraphService)
Version
License
Platform

Usage

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

Installation

OpenGraphService is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "OpenGraphService"

Author

Logan Shire, [email protected]

License

OpenGraphService is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "OpenGraphService",
    "version": "0.2.0",
    "summary": "A simple dependency injectable Open Graph parser.",
    "description": "A simple dependency injectable Open Graph parser.nRequires Kanna, PromiseKit, SwiftToolKit and ServiceRegistry",
    "homepage": "https://github.com/AttilaTheFun/OpenGraphService",
    "license": "MIT",
    "authors": {
        "Logan Shire": "[email protected]"
    },
    "source": {
        "git": "https://github.com/AttilaTheFun/OpenGraphService.git",
        "tag": "0.2.0"
    },
    "platforms": {
        "ios": "8.0"
    },
    "requires_arc": true,
    "dependencies": {
        "PromiseKit": [
            "~>3.0"
        ],
        "SwiftToolKit": [
            "~>0.2.4"
        ],
        "ServiceRegistry/API": [
            "~>0.3.1"
        ]
    },
    "subspecs": [
        {
            "name": "API",
            "source_files": "Pod/API/*.swift"
        },
        {
            "name": "Implementation",
            "dependencies": {
                "OpenGraphService/API": [],
                "Kanna": [
                    "~>1.0.0"
                ]
            },
            "source_files": "Pod/Implementation/*.swift"
        },
        {
            "name": "Test",
            "dependencies": {
                "ServiceRegistry": [
                    "~>0.3.1"
                ]
            }
        }
    ]
}

Pin It on Pinterest

Share This